Package org.apache.calcite.avatica

# Class Meta.ExecuteBatchResult

java.lang.Object
org.apache.calcite.avatica.Meta.ExecuteBatchResult

Enclosing interface:
  Meta

public static class Meta.ExecuteBatchResult extends Object
Response from a collection of SQL commands or parameter values in a single batch.

## Field Summary

Fields
Modifier and Type
Field
Description
`final long[]`
`updateCounts`

## Constructor Summary

Constructors
Constructor
Description
`ExecuteBatchResult(long[] updateCounts)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### updateCounts

public final long[] updateCounts

## Constructor Details

### ExecuteBatchResult

public ExecuteBatchResult(long[] updateCounts)